# $Id: tuxsaver.spec 227 2004-04-14 12:06:20Z dries $

Summary: KDE screensaver showing the adventures of Tux, living at the SouthPole
Name:	 tuxsaver
Version: 1.0
Release: 3.0%{?dist_tag}.kde
License: GPL
Group: 	 Amusements/Graphics
URL: 	 http://www.esat.kuleuven.ac.be/~kmuylken/tuxsaver/
Source:	 http://www.esat.kuleuven.ac.be/~kmuylken/tuxsaver/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: gettext
BuildRequires: qt-devel >= 1:3.3
%define qt_ver %(rpm -q --qf '%%{version}' qt-devel | cut -d. -f1,2)
Requires: qt >= 1:%{qt_ver}

BuildRequires: kdelibs-devel >= 6:3.2
%define kdelibs_ver %(rpm -q --qf '%%{version}' kdelibs-devel | cut -d. -f1,2 )
Requires: kdelibs >= 6:%{kdelibs_ver}
Requires: kdebase

# Screenshot: http://www.esat.kuleuven.ac.be/~kmuylken/tuxsaver/screenshot1.jpg 
# ScreenshotURL: http://www.esat.kuleuven.ac.be/~kmuylken/tuxsaver/

%description
A screensaver for KDE which shows the adventures of Tux, living at the
SouthPole.


%prep
%setup


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

%configure \
  --program-prefix="%{?_program_prefix}" \
  --disable-rpath \
  %{?debug:  --enable-debug --enable-warnings } \
  %{!?debug: --disable-dependency-tracking --disable-debug --disable-warnings --enable-final } \
  --disable-final

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install%{!?debug_package:-strip} DESTDIR=$RPM_BUILD_ROOT


%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/tuxsaver.kss
%{_datadir}/applnk/System/ScreenSavers/*.desktop
%{_datadir}/apps/tuxsaver
%lang(en) %doc %{_datadir}/doc/HTML/en/*


%changelog
* Thu Oct 28 2004 Rex Dieter <rexdieter[AT]users.sf.net> 1.0-3.0.kde
- fixup for kde-3.3

* Wed Apr 14 2004 Dries Verachtert <dries@ulyssis.org> 1.0-2
- spec file cleanup

* Sat Jan 10 2004 Dries Verachtert <dries@ulyssis.org> 1.0-1
- first packaging for Fedora Core 1
